javax.swing.text

## Class ChangedCharSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.swing.text.ChangedCharSetException

All Implemented Interfaces:
  Serializable

    public class ChangedCharSetException
    extends IOException

ChangedCharSetException as the name indicates is an exception thrown when the charset is changed.

### Constructor Summary

Constructors
Constructor and Description
`ChangedCharSetException(String charSetSpec, boolean charSetKey)`

### Method Summary

Methods
`String` `getCharSetSpec()`
`boolean` `keyEqualsCharSet()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChangedCharSetException

    public ChangedCharSetException(String charSetSpec,
                           boolean charSetKey)

### Method Detail

#### getCharSetSpec

    public String getCharSetSpec()

#### keyEqualsCharSet

    public boolean keyEqualsCharSet()

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.